Bug 1128232 - Segfault in polkit-kde-authentication-agent-1
Summary: Segfault in polkit-kde-authentication-agent-1
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 16:08 UTC by basjetimmer
Modified: 2015-06-29 21:59 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:59:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 334640 None None None Never

Description basjetimmer 2014-08-08 16:08:48 UTC
*** The following report was generated with KDE's crash reporting assistant. Unfortunately, I get an error sending crash report. (410 not logged in). I don't know why I'm logged out (maybe a time out), but at this point in the crash reporting tool, the back button (to log in again) is no longer functional. The only option is to 'show contents of crash report', which I have pasted below. ***

Application: polkit-kde-authentication-agent-1 (0.99.0)
KDE Platform Version: 4.13.3
Qt Version: 4.8.6
Operating System: Linux 3.15.7-200.fc20.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:

I have a hdd in fstab set to not automount at boot. When I click it in dolphin, KDE pops up a dialog requesting administrator password to mount the drive. Since a couple of weeks ago, seemingly randomly, the dialog pops up for just a fraction of a second before it crashes with signal 11 (SIGSEGV).

In the following crash report tool, the application is called 'polkit-kde-authentication-agent-1'. The button to 'restart the application' is grayed out. If I click on the drive (labeled 'Traffic') in dolphin again, I only get a message stating 'An error occurred while accessing 'Traffic', the system responded: You are not authorized to perform this operation: Not authorized to perform operation', and no dialog for obtaining sufficient privileges is presented. I have to mount the drive by opening a terminal and sudo'ing.

It does not happen all the time, I'd say 1 in 10 times (just guessing here), and I have absolutely no clue under what specific circumstances it fails.

The crash can be reproduced sometimes.

-- Backtrace:
Application: PolicyKit1-KDE (polkit-kde-authentication-agent-1), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fd7134708c0 (LWP 1170))]

Thread 3 (Thread 0x7fd707792700 (LWP 1235)):
#0  0x00000038d46ea9dd in poll () from /lib64/libc.so.6
#1  0x00000038d6e495b4 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00000038d6e49a3a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x00000037c80d0376 in gdbus_shared_thread_func () from /lib64/libgio-2.0.so.0
#4  0x00000038d6e6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000038d4e07f33 in start_thread () from /lib64/libpthread.so.0
#6  0x00000038d46f4ded in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fd706f4c700 (LWP 1554)):
#0  0x00000038d46ea9dd in poll () from /lib64/libc.so.6
#1  0x00000038d6e495b4 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00000038d6e496dc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00000038d6e49729 in glib_worker_main () from /lib64/libglib-2.0.so.0
#4  0x00000038d6e6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x00000038d4e07f33 in start_thread () from /lib64/libpthread.so.0
#6  0x00000038d46f4ded in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fd7134708c0 (LWP 1170)):
[KCrash Handler]
#5  0x00000038d4e11298 in __lll_unlock_elision () from /lib64/libpthread.so.0
#6  0x0000003403c3b0db in KSharedDataCache::find(QString const&, QByteArray*) const () from /lib64/libkdecore.so.5
#7  0x0000003404ffd0d6 in KIconLoaderPrivate::findCachedPixmapWithPath(QString const&, QPixmap&, QString&) () from /lib64/libkdeui.so.5
#8  0x0000003404ffd49a in KIconLoader::loadIcon(QString const&, KIconLoader::Group, int, int, QStringList const&, QString*, bool) const () from /lib64/libkdeui.so.5
#9  0x0000003404ff54b0 in KIconEngine::pixmap(QSize const&, QIcon::Mode, QIcon::State) () from /lib64/libkdeui.so.5
#10 0x000000340426eeb5 in QIcon::pixmap(QSize const&, QIcon::Mode, QIcon::State) const () from /lib64/libQtGui.so.4
#11 0x00007fd70bca9e26 in Oxygen::Style::drawPushButtonLabelControl(QStyleOption const*, QPainter*, QWidget const*) const () from /usr/lib64/kde4/plugins/styles/oxygen.so
#12 0x00007fd70bcb2c78 in Oxygen::Style::drawControl(QStyle::ControlElement, QStyleOption const*, QPainter*, QWidget const*) const () from /usr/lib64/kde4/plugins/styles/oxygen.so
#13 0x00000034044eab7d in QCommonStyle::drawControl(QStyle::ControlElement, QStyleOption const*, QPainter*, QWidget const*) const () from /lib64/libQtGui.so.4
#14 0x00007fd70bcb2c8f in Oxygen::Style::drawControl(QStyle::ControlElement, QStyleOption const*, QPainter*, QWidget const*) const () from /usr/lib64/kde4/plugins/styles/oxygen.so
#15 0x0000003405116393 in KPushButton::paintEvent(QPaintEvent*) () from /lib64/libkdeui.so.5
#16 0x000000340421d766 in QWidget::event(QEvent*) () from /lib64/libQtGui.so.4
#17 0x00000034041cae5c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#18 0x00000034041d17b5 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#19 0x000000340504a59a in KApplication::notify(QObject*, QEvent*) () from /lib64/libkdeui.so.5
#20 0x00000034029868fd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib64/libQtCore.so.4
#21 0x0000003404217ac9 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /lib64/libQtGui.so.4
#22 0x0000003404218550 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /lib64/libQtGui.so.4
#23 0x00000034042183bf in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /lib64/libQtGui.so.4
#24 0x00000034042183bf in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /lib64/libQtGui.so.4
#25 0x0000003404217669 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /lib64/libQtGui.so.4
#26 0x0000003404218550 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /lib64/libQtGui.so.4
#27 0x0000003404217669 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /lib64/libQtGui.so.4
#28 0x00000034043e308e in QWidgetBackingStore::sync() () from /lib64/libQtGui.so.4
#29 0x00000034043e342d in QWidgetBackingStore::sync(QWidget*, QRegion const&) () from /lib64/libQtGui.so.4
#30 0x0000003404238d58 in QETWidget::translatePaintEvent(_XEvent const*) () from /lib64/libQtGui.so.4
#31 0x00000034042456f6 in QApplication::x11ProcessEvent(_XEvent*) () from /lib64/libQtGui.so.4
#32 0x000000340426cac4 in x11EventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQtGui.so.4
#33 0x00000038d6e492a6 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#34 0x00000038d6e49628 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#35 0x00000038d6e496dc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#36 0x00000034029b541e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#37 0x000000340426cc46 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtGui.so.4
#38 0x000000340298538f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#39 0x00000034029856dd in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#40 0x000000340298ada9 in QCoreApplication::exec() () from /lib64/libQtCore.so.4
#41 0x00000000004084ff in main ()

Possible duplicates by query: bug 334846, bug 334640, bug 333544.

Report to https://bugs.kde.org/

Comment 1 Rex Dieter 2014-08-08 16:32:18 UTC
Looks like a dup of https://bugs.kde.org/show_bug.cgi?id=334640 alright, KSharedDataCache badness.

Comment 2 Fedora End Of Life 2015-05-29 12:35:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:59:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.